MonoMac 0.0.0.0 MonoMac.Foundation.NSObject MonoMac.Foundation.Register("CIImage", true) Represents a set of instructions to create an image for use by CoreImage.

Unlike CoreGraphics images () that are objects that hold the actual image data to be processed, CIImages represents a set of instructions to obtain an image. These recipes are used during the CoreImage filtering, analysis or rendering pipeline to actually create the bitmap representation.

CIImages are either the result of loading an image from disk, an NSData array, a CoreVideo buffer a CoreGraphics image, or the result of processing an image pipeline by CoreImage.

CIImages for example are used when chaining various filters () together and only their abstract representation is passed between the output of one filter and the input to another one. The image might not even reside in the main memory, it could reside entirely on the GPU space as an intermediate step between two filters.

coreimage
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithBitmapImageRep:")
  To be added.
  To be added.
  To be added.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithCGImage:")
  CoreGraphics image.
  Initializes a CoreImage from a CoreGraphics bitmap representation
  To be added.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithCGLayer:")
  To be added.
  To be added.
  To be added.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithColor:")
  To be added.
  To be added.
  To be added.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithCVImageBuffer:")
  To be added.
  To be added.
  To be added.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithCoder:")
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  The unarchiver object.
  A constructor that initializes the object from the data stored in the unarchiver object.
  This constructor is provided to allow the class to be initialized from an unarchiver (for example, during NIB deserialization).
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithData:")
  To be added.
  To be added.
  To be added.
- Constructor
  0.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Unused sentinel value, pass NSObjectFlag.Empty.
  Constructor to call on derived classes when the derived class has an [Export] constructor.

  This constructor should be called by derived classes when they are initialized using an [Export] attribute. The argument value is ignore, typically the chaining would look like this:

  public class MyClass : BaseClass { [Export ("initWithFoo:")] public MyClass (string foo) : base (NSObjectFlag.Empty) { ... }
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithContentsOfURL:")
  To be added.
  To be added.
  To be added.
- Constructor
  0.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Pointer (handle) to the unmanaged object.
  A constructor used when creating managed representations of unmanaged objects; Called by the runtime.

  This constructor is invoked by the runtime infrastructure () to create a new managed representation for a pointer to an unmanaged Objective-C object. You should not invoke this method directly, instead you should call the GetNSObject method as it will prevent two instances of a managed object to point to the same native object.

- Constructor
  0.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithCGImage:options:")
  System.Obsolete("Use constructor with CIImageInitializationOptionsWithMetadata", false)
  To be added.

  Metadata to initialize with, as an NSDictionary.

  This parameter can be .

  To be added.
  To be added.
- Constructor
  0.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithCGLayer:options:")
  System.Obsolete("Use constructor with CIImageInitializationOptions", false)
  To be added.

  Extra configuration options as an NSDictionary.

  This parameter can be .

  To be added.
  To be added.
- Constructor
  0.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithCVImageBuffer:options:")
  System.Obsolete("Use constructor with CIImageInitializationOptions", false)
  To be added.

  Extra configuration options as an NSDictionary.

  This parameter can be .

  To be added.
  To be added.
- Constructor
  0.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithData:options:")
  System.Obsolete("Use constructor with CIImageInitializationOptionsWithMetadata", false)
  To be added.

  Extra configuration options, as an NSDictionary.

  This parameter can be .

  To be added.
  To be added.
- Constructor
  0.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithContentsOfURL:options:")
  System.Obsolete("Use constructor with CIImageInitializationOptions", false)
  To be added.

  Extra configuration options, as an NSDictionary.

  This parameter can be .

  To be added.
  To be added.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithTexture:size:flipped:colorSpace:")
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithBitmapData:bytesPerRow:size:format:colorSpace:")
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Property
  0.0.0.0
  System.IntPtr The handle for this class. The pointer to the Objective-C class. Each MonoMac class mirrors an unmanaged Objective-C class. This value contains the pointer to the Objective-C class, it is similar to calling objc_getClass with the object name.
- Method
  0.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("drawAtPoint:fromRect:operation:fraction:")
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("drawInRect:fromRect:operation:fraction:")
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("emptyImage")
  MonoMac.CoreImage.CIImage To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("extent")
  System.Drawing.RectangleF To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Int32 Represents the value associated with the constant kCIFormatARGB8 To be added.
- Property
  0.0.0.0
  System.Int32 To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Int32 To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Int32 Represents the value associated with the constant kCIFormatRGBAh To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("imageWithCGImage:")
  MonoMac.CoreImage.CIImage `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreImage.CIImage `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreImage.CIImage `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("imageWithCGImage:options:")
  System.Obsolete("Use FromCGImage (CGImage, CIImageInitializationOptionsWithMetadata) overload", false)
  MonoMac.CoreImage.CIImage `` `` To be added.

  Extra metadata, as an NSDictionary.

  This parameter can be .

  To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("imageWithData:")
  MonoMac.CoreImage.CIImage `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreImage.CIImage `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("imageWithData:options:")
  System.Obsolete("Use FromData (NSData, CIImageInitializationOptionsWithMetadata) overload", false)
  MonoMac.CoreImage.CIImage `` `` To be added.

  Extra configuration options, as an NSDictionary.

  This parameter can be .

  To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("imageWithBitmapData:bytesPerRow:size:format:colorSpace:")
  MonoMac.CoreImage.CIImage `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("imageWithCVImageBuffer:")
  MonoMac.CoreImage.CIImage `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("imageWithCVImageBuffer:options:")
  MonoMac.CoreImage.CIImage `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("imageWithCGLayer:")
  MonoMac.CoreImage.CIImage `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("imageWithCGLayer:options:")
  MonoMac.CoreImage.CIImage `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("imageWithContentsOfURL:")
  MonoMac.CoreImage.CIImage `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreImage.CIImage `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("imageWithContentsOfURL:options:")
  System.Obsolete("Use FromUrl (NSUrl, CIImageInitializationOptions) overload", false)
  MonoMac.CoreImage.CIImage `` `` To be added.

  Extra configuration options, as an NSDictionary.

  This parameter can be .

  To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreImage.CIFilter[] To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreImage.CIFilter[] `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("imageByApplyingTransform:")
  MonoMac.CoreImage.CIImage `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("imageByCroppingToRect:")
  MonoMac.CoreImage.CIImage `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("imageWithColor:")
  MonoMac.CoreImage.CIImage `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("imageWithTexture:size:flipped:colorSpace:")
  MonoMac.CoreImage.CIImage `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreImage.CIImage `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(5, 0)
  MonoMac.CoreGraphics.CGImageProperties To be added. To be added. To be added.